<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        /* 
         *    数组num二倍放到doublenum
         */
        var num = [1,2,3]
        var doublenum = []

        //es5
        for(var i = 0;i<num.length;i++){
            doublenum.push(num[i]*2)
        }
        console.log(doublenum);

        //es6 map方法
        var double = num.map(function(number){
            return number * 2
        })
        console.log(double);
        //forEach 循环显示
        double.forEach(function(number){
            console.log(number);
        })


        /* 
         * 对象数组（A） 将A某个属性存到数组（B）
        */
       var duix1 = {
            name: 'lisi',
            age: 19,
            bir: '02-03'
       }
    // var duix2 = {

    // }
       var duix12 = {

       }


       var arr = [2,2,2,22,2,2,,2]
       var sumh = 0
       arr.forEach(function(i){
            sumh += i
       })
       console.log(sumh);
       var sumV = arr.reduce(function(sumh,numbe){
           return sumh += numbe
       },0)
       console.log(sumV);
    </script>
</body>
</html>